//		  Ŀ
//	> AVNER 
//	>  BEN  > Software Engineering Method
//		  
//	10 Dov-Hoz st. Tel-Aviv 63416 Israel tel. 972-3-221535

// The Screen NAVigator, ver 1.12 August 1990
// Copyright (c) 1990 by Avner Ben
// Snav is not, and never was, free software.
// for conditions for use refer to file "copyrigh.txt"

// The Screen Navigator is an object-oriented device-independent
// character-graphics driver package, written in the C++ language,
// distributed in the form of C++ source code.
// For further information refer to the documentation files.

// this simple example is intended as a template to be extended and modified
// by the user, provided the above title and copyright notice are unchanged
// and are not ommitted.

/***************************************************************************/

// demonstration part 0 - header.
// simple facility for transparent screen-driver allocation,
// in a multi-terminal environment.

// 14.3.90  - avner ben coded.
//////// snav v1.2
// 13.7.90  - tested under TurboC++.

// site history (of this copy):
// __.__.__: __________________

#ifndef DEMO0_H
#define DEMO0_H

#ifndef DEMO1_H
#include "demo1.hpp"
#endif
// insert here the header files of other drivers you may have...

panel * screen_driver_manager :: allocate(square_pos &window, int typ)
{
	// default_screen (defined in snav2) may be used to change
	// the default terminal of the installation dynamically.
	// The default of the case construct will solve it, if default
	// screen is 0 or out of range.

	if (!typ) typ=default_screen;

	switch (typ) {
		case 1 : return new memory_mapped_pc_screen(&(square_pos)window);
		// insert here other drivers you may have...
		default: return new memory_mapped_pc_screen(&(square_pos)window);
		// installation default
	}
}

#endif


